import java.awt.*;
import java.applet.*;

class MessageAction extends Action
{
	String msg = "";

	void activate(Presentation p)
	{
	if (p.playapl == null)
		System.out.println("Showing message "+msg);
	else
		p.playapl.showStatus(msg);
	}

	HData save()
	{
	HData hd = super.save();
	hd.addString("msg", msg);
	return hd;
	}

	void load(HData hd)
	{
	super.load(hd);
	msg = hd.getString("msg");
	}
}

class MessageActionEditor extends ActionEditor
{
	TextField msg;
	MessageAction m;

	protected void makeUI()
	{
	m = (MessageAction)act;
	super.makeUI();
	left.add(new Label("Message:"));
	right.add(msg = new TextField(m.msg));
	}

	protected boolean apply()
	{
	if (!super.apply()) return false;
	m.msg = msg.getText();
	return true;
	}
}

