

import java.io.*;
public class FixedDataInputStream extends DataInputStream{


	public static void main(String[] args) throws Exception {

		
		ByteArrayOutputStream baos=new ByteArrayOutputStream();

		DataOutputStream dos=new DataOutputStream(baos);

		dos.writeUTF("Test String");

		ByteArrayInputStream bais=new ByteArrayInputStream(baos.toByteArray());
		
		FixedDataInputStream dis=new FixedDataInputStream(bais);

		String out=dis.readUTF2();

		System.out.println(out);


	}



	public FixedDataInputStream (InputStream is){

		super(is);
	}

	public String readUTF2() throws IOException{
		return readUTF2(this);

	}

	public static String readUTF2(DataInput in) throws IOException{


		int len=in.readUnsignedShort();



		byte[] b=new byte[len];

		in.readFully(b);



		StringBuffer ret=new StringBuffer();

		for (int i=0;i<len;i++){
	


			if ( (b[i] & 0x80) ==0){

				char c=(char)b[i];
				ret.append(c);



			}
			else if ((b[i] & 0x70) == 0xC0){

				byte v= (byte)(((b[i] & 0x1F) << 6) | (b[i+1] & 0x3F));
				char c=(char)v;
				ret.append(c);
				i++;

			}

			else if ((b[i] & 0xF0) == 0xE0){

				byte v1=(byte)(b[i] & 0x0F);
				byte v2=(byte)(b[i+1] & 0x3F);
				byte v3=(byte)(b[i+2] & 0x3F);

				byte v= (byte)(((v1 << 12) | (v2 << 6)) | v3);

				char c=(char)v;
				ret.append(c);
				i=i+2;

			}
		

		}

		return ret.toString();
		



	}











}